Loading...
Searching...
No Matches
fastjet::RangeDefinition Class Reference
Area-related classes

class for holding a range definition specification, given by limits on rapidity and azimuth. More...

`#include <fastjet/RangeDefinition.hh>`

## Public Member Functions

| RangeDefinition ()
| default constructor
| RangeDefinition (double rapmax)
| constructor for a range definition given by |y|<rapmax
virtual | ~RangeDefinition ()
| destructor does nothing
| RangeDefinition (double rapmin, double rapmax, double phimin=0.0, double phimax=twopi)
| constructor for a range definition given by rapmin <= y <= rapmax, phimin <= phi <= phimax
virtual bool | is_localizable () const
| returns true if the range is localizable (i.e.
void | set_position (const double &rap, const double &phi)
| place the range on the rap-phi position
void | set_position (const PseudoJet &jet)
| place the range on the jet position
bool | is_in_range (const PseudoJet &jet) const
| return bool according to whether the jet is within the given range
virtual bool | is_in_range (double rap, double phi) const
| return bool according to whether a (rap,phi) point is in range
virtual void | get_rap_limits (double &rapmin, double &rapmax) const
| return the minimal and maximal rapidity of this range; remember to replace this if you write a derived class with more complex ranges;
virtual double | area () const
| area of the range region
virtual std::string | description () const
| textual description of range

## Protected Member Functions

void | _numerical_total_area (double rapmax, int npoints)
| calculate, and set _total_area, by calculating which of points on a grid (npoints * npoints from -rapmax..rapmax,0..2pi) are contained in the range; it takes a reasonable time with rapmax = 10, npoints = 100.

## Protected Attributes

double | _total_area
double | _rapjet
double | _phijet

## Detailed Description

class for holding a range definition specification, given by limits on rapidity and azimuth.

Definition at line 51 of file RangeDefinition.hh.

## Constructor & Destructor Documentation

## RangeDefinition() [1/3]

fastjet::RangeDefinition::RangeDefinition | ( |  | ) |

inline

default constructor

Definition at line 55 of file RangeDefinition.hh.

## RangeDefinition() [2/3]

fastjet::RangeDefinition::RangeDefinition | ( | double | rapmax | ) |

inline

constructor for a range definition given by |y|<rapmax

Definition at line 59 of file RangeDefinition.hh.

## ~RangeDefinition()

virtual fastjet::RangeDefinition::~RangeDefinition | ( |  | ) |

inline virtual

destructor does nothing

Definition at line 69 of file RangeDefinition.hh.

## RangeDefinition() [3/3]

fastjet::RangeDefinition::RangeDefinition | ( | double | rapmin,
|  | double | rapmax,
|  | double | phimin = 0.0,
|  | double | phimax = twopi )

inline

constructor for a range definition given by rapmin <= y <= rapmax, phimin <= phi <= phimax

Definition at line 73 of file RangeDefinition.hh.

## Member Function Documentation

## is_localizable()

virtual bool fastjet::RangeDefinition::is_localizable | ( |  | ) | const

inline virtual

returns true if the range is localizable (i.e.

set_position is meant to do something meaningful).

This version of the class is not localizable and so it returns false.

For localizable classes override this function with a function that returns true

Definition at line 98 of file RangeDefinition.hh.

## set_position() [1/2]

void fastjet::RangeDefinition::set_position | ( | const double & | rap,
|  | const double & | phi )

inline

place the range on the rap-phi position

THIS DOES NOT DO ANYTHING FOR THIS CLASS AND IS ONLY THERE TO FACILITATE DERIVED CLASSES

DON'T NECESSARILY COUNT ON IT IN THE FUTURE EITHER???

Definition at line 107 of file RangeDefinition.hh.

## set_position() [2/2]

void fastjet::RangeDefinition::set_position | ( | const PseudoJet & | jet | ) |

inline

place the range on the jet position

Definition at line 120 of file RangeDefinition.hh.

## is_in_range() [1/2]

bool fastjet::RangeDefinition::is_in_range | ( | const PseudoJet & | jet | ) | const

inline

return bool according to whether the jet is within the given range

Definition at line 125 of file RangeDefinition.hh.

## is_in_range() [2/2]

virtual bool fastjet::RangeDefinition::is_in_range | ( | double | rap,
|  | double | phi ) const

inline virtual

return bool according to whether a (rap,phi) point is in range

Definition at line 132 of file RangeDefinition.hh.

## get_rap_limits()

virtual void fastjet::RangeDefinition::get_rap_limits | ( | double & | rapmin,
|  | double & | rapmax ) const

inline virtual

return the minimal and maximal rapidity of this range; remember to replace this if you write a derived class with more complex ranges;

Definition at line 143 of file RangeDefinition.hh.

## area()

virtual double fastjet::RangeDefinition::area | ( |  | ) | const

inline virtual

area of the range region

Definition at line 149 of file RangeDefinition.hh.

## description()

virtual std::string fastjet::RangeDefinition::description | ( |  | ) | const

inline virtual

textual description of range

Definition at line 152 of file RangeDefinition.hh.

## _numerical_total_area()

void fastjet::RangeDefinition::_numerical_total_area | ( | double | rapmax,
|  | int | npoints )

protected

calculate, and set _total_area, by calculating which of points on a grid (npoints * npoints from -rapmax..rapmax,0..2pi) are contained in the range; it takes a reasonable time with rapmax = 10, npoints = 100.

Definition at line 41 of file RangeDefinition.cc.

## Member Data Documentation

## _total_area

double fastjet::RangeDefinition::_total_area

protected

Definition at line 160 of file RangeDefinition.hh.

## _rapjet

double fastjet::RangeDefinition::_rapjet

protected

Definition at line 167 of file RangeDefinition.hh.

## _phijet

double fastjet::RangeDefinition::_phijet

protected

Definition at line 167 of file RangeDefinition.hh.

The documentation for this class was generated from the following files:

- include/fastjet/RangeDefinition.hh
- src/RangeDefinition.cc